Announcement

Announcement Module
Collapse
No announcement yet.

XtraDB Sun build

Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • XtraDB Sun build

    Hello,
    I'd like to install Percona-XtraDB-5.1.45-1.0.6-10-SunOS-5.11-i86pc.tar.gz, but I did not find ha_innodb.so in the distribution. The plugin directory has ha_innodb_plugin.la and ha_innodb_plugin.a, but no .so file.
    Is their another way to make the plugin work other than the method specified here?
    http://www.innodb.com/doc/innodb_plugin-1.0/innodb-plugin-in stallation.html

    Additional info after attempting to use the plugin .so files from the community 5.1.45 build... getting this message on the attempt to start mysqld_safe:

    ld.so.1: mysqld: fatal: relocation error: file /usr/local/Percona-XtraDB-5.1.45-1.0.6-10-SunOS-5.11-i86pc/l ibexec/mysqld: symbol strnlen: referenced symbol not found

    I noticed there is a Maria-db forum thread about this error:
    http://www.mail-archive.com/maria-discuss@lists.launchpad.ne t/msg00112.html

    My OS version is SunOS 5.10 Generic_141445-09 i86pc i386 i86pc

    Maybe the Percona Solaris build didn't complete successfully?

    Thanks,
    Roger

  • #2
    In the Percona Server with XtraDB builds, the "plugin" is built in. The old version of InnoDB is removed from this server binary and replaced with XtraDB. There is no need to load a plugin.

    Comment


    • #3
      Thanks Baron.
      So, I tried starting it without the plugin...
      #ignore_builtin_innodb
      #plugin-load

      but I continue to get this error:
      ld.so.1: mysqld: fatal: relocation error: file /usr/local/Percona-XtraDB-5.1.45-1.0.6-10-SunOS-5.11-i86pc/l ibexec/mysqld: symbol strnlen: referenced symbol not found

      Following the related thread in the Maria forum, I checked to see if my libc.so contains strnlen. No.
      Guess I need a different version of libc.so for mysqld.
      I'm running Solaris10 not OpenSolaris.

      Thanks,
      Roger

      Comment


      • #4
        Is the current XtraDB SunOS build only for OpenSolaris, or do you have some additional prerequisites for running on Solaris10?

        Thanks,
        Roger

        Comment


        • #5
          We are working on builds for Solaris, but it is not yet fully supported

          Comment


          • #6
            Thanks Vadim.
            Looking forward to your Solaris10 builds.

            Cheers,
            Roger

            Comment

            Working...
            X